
Redmine - Feature #5990

Email notification should reflect user language setting

2010-07-29 15:36 - Lubor Nosek

Status: Closed Start date: 2010-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Currently email notification is sent only in default redmine language settings but should respect each individual user language setting.

We have default language Czech but in one project we have to communicate in English but all notifications to our english speaking

user go out with Czech translations.

Related issues:

Related to Redmine - Feature #6409: Define default langage to a project (for ... Closed 2010-09-16

Related to Redmine - Feature #8058: Separation of content language from UI la... New 2011-04-04

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Has duplicate Redmine - Defect #7681: Emails sent by Redmine to a user are no... Closed 2011-02-21

Has duplicate Redmine - Feature #12239: Translateable Notifications Closed

Has duplicate Redmine - Defect #8137: HTML email doesn't obey directionality ... Closed 2011-04-13

History

#1 - 2010-08-23 11:38 - Azamat Hackimov

- Category set to Translations

#2 - 2010-11-11 17:56 - Jean-Philippe Lang

- Category changed from Translations to Email notifications

#3 - 2010-11-23 14:10 - mcfedr mcfedr

I just started using redmine and this is also an issue for us, we work in english and russian and it would be nice if users would get email in there

prefered language.

#4 - 2013-02-10 16:26 - Filou Centrinov

Duplicate: #12413, #8147, #7312

Related to: #6409 (project language vs. user language)

#5 - 2013-02-14 01:21 - Filou Centrinov

Related to: #8137, #8058

#6 - 2015-02-28 14:49 - Ben Scott

+1

#7 - 2015-04-10 13:11 - Kostyantyn Didenko

This issue was submitted over 4 years ago and seems it's still have no solution.

As somebody already noted we also work with clients over Western Europe and North America and it was great that during Redmine installation

process we used an English version. However, our clients from countries like Germany or Switzerland prefer to receive notifications in German. And

Vice Versa,- one of our partners from Germany installed his Redmine instance in German therefore we can't receive notifications in English.

All this makes our Redmine communication a bit complicated. I believe that not only user interface but also notifications must be translated 

according to the user account preferences and it is important i18n task!

#8 - 2015-06-23 13:03 - Manuel Mai

+1
#9 - 2015-09-14 19:17 - Filip Krejci

+1

#10 - 2015-09-14 19:18 - Anonymous

+1

#11 - 2015-11-18 06:26 - Bruce Sutherland

+1! I'm the only English dev working on a Japanese team!

#12 - 2016-04-04 12:20 - Arun Chaitanya Miriappalli

+1 Working with a Japanese company too!

#13 - 2016-12-07 10:32 - Sven E.

+1 Working with an international Team now, and all eMails use german text.

#14 - 2017-09-03 08:30 - Go MAEDA

#26791 can realize this request.

#15 - 2017-09-03 08:30 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#16 - 2018-11-30 11:21 - Go MAEDA

- Has duplicate Feature #12239: Translateable Notifications added

#17 - 2018-11-30 14:11 - Marius BĂLTEANU

- Related to deleted (Defect #8137: HTML email doesn't obey directionality of locale)

#18 - 2018-11-30 14:11 - Marius BĂLTEANU

- Has duplicate Defect #8137: HTML email doesn't obey directionality of locale added

#19 - 2019-02-11 01:23 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented in Redmine 4.0.0 (#26791).
